/*
  DO NOT MODIFY
  Settings for SharkSSL-Lite. Must match pre-compiled lib.
*/

#define BASIC_TRUST_CHECK
#define SHARKSSL_TINY

/*
SharkSSL_opts.h is a user file that you can use to configure
SharkSSL. You do not need to define every option that is defined in
the main configuration file SharkSSL_cfg.h; if you do not define an
option, a default value will be used. In other words, SharkSSL_opts.h
provides a way to override the default configuration options for
SharkSSL.

*/

/*
The following options configure the smallest possible SharkSSL library:
*/

#ifdef SHARKSSL_TINY

#define SHARKSSL_UNALIGNED_ACCESS 1

#define SHARKSSL_ACCEPT_CLIENT_HELLO_2_0 0
#define SHARKSSL_AES_CIPHER_LOOP_UNROLL 0
#define SHARKSSL_BIGINT_EXP_SLIDING_WINDOW_K 1
#define SHARKSSL_BIGINT_WORDSIZE 32
#define SHARKSSL_DES_CIPHER_LOOP_UNROLL 0
#define SHARKSSL_ECC_USE_SECP192R1 0
#define SHARKSSL_ECC_USE_SECP224R1 0
#define SHARKSSL_ECC_USE_SECP384R1 0
#define SHARKSSL_ECC_USE_SECP521R1 0
#define SHARKSSL_ENABLE_AES_CCM 0
#define SHARKSSL_ENABLE_AES_CTR_MODE 0
#define SHARKSSL_ENABLE_AES_GCM 0
#define SHARKSSL_ENABLE_CERTSTORE_API 0
#define SHARKSSL_ENABLE_CERT_CHAIN 0
#define SHARKSSL_ENABLE_CLONE_CERTINFO 0
#define SHARKSSL_ENABLE_DHE_RSA 0
#define SHARKSSL_ENABLE_ECDHE_RSA 0
#define SHARKSSL_ENABLE_ECDH_ECDSA 0
#define SHARKSSL_ENABLE_ECDH_RSA 0
#define SHARKSSL_ENABLE_MD5_CIPHERSUITES 0
#define SHARKSSL_ENABLE_PEM_API 0
#define SHARKSSL_ENABLE_PSK 0
#define SHARKSSL_ENABLE_RSA 0
#define SHARKSSL_ENABLE_RSA_API 0
#define SHARKSSL_ENABLE_RSA_BLINDING 1
#define SHARKSSL_ENABLE_SELECT_CIPHERSUITE 0
#define SHARKSSL_ENABLE_SESSION_CACHE 0
#define SHARKSSL_ENABLE_SSL_3_0 0
#define SHARKSSL_ENABLE_TLS_1_1 0
#define SHARKSSL_MD5_SMALL_FOOTPRINT 1
#define SHARKSSL_SHA256_SMALL_FOOTPRINT 1
#define SHARKSSL_SSL_SERVER_CODE 0
#define SHARKSSL_USE_3DES 0
#define SHARKSSL_USE_AES_128 0
#define SHARKSSL_USE_ARC4 0
#define SHARKSSL_USE_DES 0
#define SHARKSSL_USE_ECC 1
#define SHARKSSL_USE_MD5 0
#define SHARKSSL_USE_NULL_CIPHER 0
#define SHARKSSL_USE_RNG_TINYMT 1
#define SHARKSSL_USE_SHA1 0
#define SHARKSSL_USE_SHA_256 0
#define SHARKSSL_USE_SHA_512 0
#define SHARKSSL_USE_SHA_384 0
#define SHARKSSL_ENABLE_CLIENT_AUTH 0
#define SHARKSSL_ENABLE_SECURE_RENEGOTIATION 0
#define SHARKSSL_ENABLE_CERT_KEYUSAGE 0
#define SHARKSSL_DISABLE_INBUF_EXPANSION 0
#define SHARKSSL_ONLY_POLYCHACHA 1
#define SHARKSSL_ECC_VERIFY_POINT 0
#define SHARKSSL_ECC_TIMING_RESISTANT 0
#define SHARKSSL_ENABLE_INFO_API 0
#define SHARKSSL_USE_AES_256 0
#define SHARKSSL_ENABLE_ECDSA 1
#define SHARKSSL_ENABLE_ECDHE_ECDSA 1
#define SHARKSSL_ENABLE_CA_LIST 1

#define BASIC_TRUST_CHECK

#ifndef NDEBUG
#define NDEBUG
#endif


#endif
